package com.ho.business.mapper;

import com.ho.business.entity.OneClickSequentialControl;
import com.ho.business.vo.req.oneClickSequentialControl.OneClickSequentialControlQueryReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface OneClickSequentialControlMapper {

    List<OneClickSequentialControl> getListByParam(@Param("vo") OneClickSequentialControlQueryReq vo);

    List<OneClickSequentialControl> getListLikeParam(@Param("vo") OneClickSequentialControlQueryReq vo);

    int insertBatch(@Param("list") List<OneClickSequentialControl> list);

    int updateBatch(@Param("list") List<OneClickSequentialControl> list);

    int deleteByIds(@Param("ids") List<Integer> ids);

    int deleteByControlName(String controlName,Integer stationId);
}
